org.apache.geode

## Class InternalGemFireError

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Error
    - - org.apache.geode.InternalGemFireError

- All Implemented Interfaces:
    java.io.Serializable

      public class InternalGemFireError
      extends java.lang.Error

  Indicates that serious error has occurred within the GemFire system. This is similar to `AssertionError`, but these errors are always enabled in a GemFire system.
  Since:
    GemFire 5.5
  See Also:
    `AssertionError`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InternalGemFireError()`
    `InternalGemFireError(boolean detailMessage)` Constructs an AssertionError with its detail message derived from the specified `boolean`, which is converted to a string as defined in The Java Language Specification, Second Edition, Section 15.18.1.1.
    `InternalGemFireError(char detailMessage)` Constructs an AssertionError with its detail message derived from the specified `char`, which is converted to a string as defined in The Java Language Specification, Second Edition, Section 15.18.1.1.
    `InternalGemFireError(double detailMessage)` Constructs an AssertionError with its detail message derived from the specified `double`, which is converted to a string as defined in The Java Language Specification, Second Edition, Section 15.18.1.1.
    `InternalGemFireError(float detailMessage)` Constructs an AssertionError with its detail message derived from the specified `float`, which is converted to a string as defined in The Java Language Specification, Second Edition, Section 15.18.1.1.
    `InternalGemFireError(int detailMessage)` Constructs an AssertionError with its detail message derived from the specified `int`, which is converted to a string as defined in The Java Language Specification, Second Edition, Section 15.18.1.1.
    `InternalGemFireError(long detailMessage)` Constructs an AssertionError with its detail message derived from the specified `long`, which is converted to a string as defined in The Java Language Specification, Second Edition, Section 15.18.1.1.
    `InternalGemFireError(java.lang.Object detailMessage)` Constructs an AssertionError with its detail message derived from the specified object, which is converted to a string as defined in The Java Language Specification, Second Edition, Section 15.18.1.1.
    `InternalGemFireError(java.lang.String message)`
    `InternalGemFireError(java.lang.String message, java.lang.Throwable cause)`
    `InternalGemFireError(java.lang.Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InternalGemFireError

          public InternalGemFireError()

    - #### InternalGemFireError

          public InternalGemFireError(java.lang.String message)

      Parameters:
        `message` -

    - #### InternalGemFireError

          public InternalGemFireError(java.lang.Throwable cause)

      Parameters:
        `cause` -

    - #### InternalGemFireError

          public InternalGemFireError(java.lang.String message,
                                      java.lang.Throwable cause)

      Parameters:
        `message` -
        `cause` -

    - #### InternalGemFireError

          public InternalGemFireError(java.lang.Object detailMessage)

      Constructs an AssertionError with its detail message derived from the specified object, which is converted to a string as defined in The Java Language Specification, Second Edition, Section 15.18.1.1.

      If the specified object is an instance of `Throwable`, it becomes the cause of the newly constructed assertion error.

      Parameters:
        `detailMessage` - value to be used in constructing detail message
      See Also:
        `Throwable.getCause()`

    - #### InternalGemFireError

          public InternalGemFireError(boolean detailMessage)

      Constructs an AssertionError with its detail message derived from the specified `boolean`, which is converted to a string as defined in The Java Language Specification, Second Edition, Section 15.18.1.1.
      Parameters:
        `detailMessage` - value to be used in constructing detail message

    - #### InternalGemFireError

          public InternalGemFireError(char detailMessage)

      Constructs an AssertionError with its detail message derived from the specified `char`, which is converted to a string as defined in The Java Language Specification, Second Edition, Section 15.18.1.1.
      Parameters:
        `detailMessage` - value to be used in constructing detail message

    - #### InternalGemFireError

          public InternalGemFireError(int detailMessage)

      Constructs an AssertionError with its detail message derived from the specified `int`, which is converted to a string as defined in The Java Language Specification, Second Edition, Section 15.18.1.1.
      Parameters:
        `detailMessage` - value to be used in constructing detail message

    - #### InternalGemFireError

          public InternalGemFireError(long detailMessage)

      Constructs an AssertionError with its detail message derived from the specified `long`, which is converted to a string as defined in The Java Language Specification, Second Edition, Section 15.18.1.1.
      Parameters:
        `detailMessage` - value to be used in constructing detail message

    - #### InternalGemFireError

          public InternalGemFireError(float detailMessage)

      Constructs an AssertionError with its detail message derived from the specified `float`, which is converted to a string as defined in The Java Language Specification, Second Edition, Section 15.18.1.1.
      Parameters:
        `detailMessage` - value to be used in constructing detail message

    - #### InternalGemFireError

          public InternalGemFireError(double detailMessage)

      Constructs an AssertionError with its detail message derived from the specified `double`, which is converted to a string as defined in The Java Language Specification, Second Edition, Section 15.18.1.1.
      Parameters:
        `detailMessage` - value to be used in constructing detail message